// main.cpp
// v0.84 (7.3.2002)
// (c) 2002 Andreas Krueger
//
// Please, if you change anything in this code,
// mark the end of those lines with '// *+* your name *+* ' 
// (so that I can find it) and send the code 
// to cye-code@AndreasKrueger.de
//
// last change: 
//          by:

#include "constants.h"

#include <qapplication.h>
#include <qnamespace.h> 
#include "cyewindow.h"
#include "exceptions.h"


int main( int argc, char** argv )
{
	QApplication app( argc, argv );
	CYEWindow *window =NULL;

	try{
		window= new CYEWindow (0, "CYEWindow", Qt::WStyle_SysMenu | Qt::WStyle_MinMax |
			Qt::WStyle_Customize | Qt::WStyle_NormalBorder | Qt::WStyle_Title );
		window->resize( 600, 440 );
		app.setMainWidget(window);
	
		window->initializeEverything();
		return app.exec();
	}
	catch (LogicErr e){
		QMessageBox::critical(window, "CYE fatal logical error", errorMessageAndSolution(e.errnum));
		return e.errnum;
	}
	catch (FileErr e){
		QMessageBox::critical(window, "CYE fatal file error", errorMessageAndSolution(e.errnum));
		return e.errnum;
	}
	catch (NetErr e){
		QMessageBox::critical(window, "CYE fatal network error", errorMessageAndSolution(e.errnum));
		return e.errnum;
	}
	catch (StreamErr e){
		QMessageBox::critical(window, "CYE fatal stream error", errorMessageAndSolution(e.errnum));
		return e.errnum;
	}
	catch (myException e){
		QMessageBox::critical(window, "CYE fatal error", errorMessageAndSolution(e.errnum));
		return e.errnum;
	}
	catch (...){
		QMessageBox::critical(window, "CYE unknown error", errorMessageAndSolution(0));
		return -1;
	}
}

